@use "theme" as *;
@use "fonts";
@use "nprogress";
@use "datepicker";

body {
  margin: 0;
  background-color: map-get($colors, "color-dark-bg");
  color: map-get($colors, "color-text");
  font-family: $font-primary;
}

@each $key, $value in $colors {
  .text-#{$key} {
    color: $value;
  }
  .background-#{$key} {
    background-color: $value;
  }
}

.pointer {
  cursor: pointer;
}

.container {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  max-width: 60rem;
  padding: 0 2rem;
}
